<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer libav 1.0 Plugins Reference Manual: gstavprotocol</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer libav 1.0 Plugins Reference Manual">
<link rel="up" href="ch01.html" title="gst-libav Base and Support classes">
<link rel="prev" href="gst-libav-plugins-gstavcodecmap.html" title="gstavcodecmap">
<link rel="next" href="gst-libav-plugins-gstavutils.html" title="gstavutils">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavprotocol.description" class="shortcut">Description</a></span><span id="nav_hierarchy"> <span class="dim">|</span> 
                  <a href="#gst-libav-plugins-gstavprotocol.object-hierarchy" class="shortcut">Object Hierarchy</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-libav-plugins-gstavcodecmap.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-libav-plugins-gstavutils.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-libav-plugins-gstavprotocol"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="gst-libav-plugins-gstavprotocol.top_of_page"></a>gstavprotocol</span></h2>
<p>gstavprotocol</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.functions"></a><h2>Functions</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#GST-FFMPEG-PIPE-MUTEX-LOCK:CAPS" title="GST_FFMPEG_PIPE_MUTEX_LOCK()">GST_FFMPEG_PIPE_MUTEX_LOCK</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#GST-FFMPEG-PIPE-MUTEX-UNLOCK:CAPS" title="GST_FFMPEG_PIPE_MUTEX_UNLOCK()">GST_FFMPEG_PIPE_MUTEX_UNLOCK</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#GST-FFMPEG-PIPE-WAIT:CAPS" title="GST_FFMPEG_PIPE_WAIT()">GST_FFMPEG_PIPE_WAIT</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#GST-FFMPEG-PIPE-SIGNAL:CAPS" title="GST_FFMPEG_PIPE_SIGNAL()">GST_FFMPEG_PIPE_SIGNAL</a><span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#gst-ffmpeg-pipe-open" title="gst_ffmpeg_pipe_open ()">gst_ffmpeg_pipe_open</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#gst-ffmpeg-pipe-close" title="gst_ffmpeg_pipe_close ()">gst_ffmpeg_pipe_close</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#gst-ffmpegdata-open" title="gst_ffmpegdata_open ()">gst_ffmpegdata_open</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">int</span>
</td>
<td class="function_name">
<a class="link" href="gst-libav-plugins-gstavprotocol.html#gst-ffmpegdata-close" title="gst_ffmpegdata_close ()">gst_ffmpegdata_close</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword">struct</td>
<td class="function_name"><a class="link" href="gst-libav-plugins-gstavprotocol.html#GstFFMpegPipe" title="struct GstFFMpegPipe">GstFFMpegPipe</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">
</pre>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.description"></a><h2>Description</h2>
<p>
</p>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="GST-FFMPEG-PIPE-MUTEX-LOCK:CAPS"></a><h3>GST_FFMPEG_PIPE_MUTEX_LOCK()</h3>
<pre class="programlisting">#define             GST_FFMPEG_PIPE_MUTEX_LOCK(m)</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="GST-FFMPEG-PIPE-MUTEX-UNLOCK:CAPS"></a><h3>GST_FFMPEG_PIPE_MUTEX_UNLOCK()</h3>
<pre class="programlisting">#define             GST_FFMPEG_PIPE_MUTEX_UNLOCK(m)</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="GST-FFMPEG-PIPE-WAIT:CAPS"></a><h3>GST_FFMPEG_PIPE_WAIT()</h3>
<pre class="programlisting">#define             GST_FFMPEG_PIPE_WAIT(m)</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="GST-FFMPEG-PIPE-SIGNAL:CAPS"></a><h3>GST_FFMPEG_PIPE_SIGNAL()</h3>
<pre class="programlisting">#define             GST_FFMPEG_PIPE_SIGNAL(m)</pre>
<p>
</p>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-pipe-open"></a><h3>gst_ffmpeg_pipe_open ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_pipe_open (<em class="parameter"><code><a class="link" href="gst-libav-plugins-gstavprotocol.html#GstFFMpegPipe" title="struct GstFFMpegPipe"><span class="type">GstFFMpegPipe</span></a> *ffpipe</code></em>,
                      <em class="parameter"><code><span class="type">int</span> flags</code></em>,
                      <em class="parameter"><code><span class="type">AVIOContext</span> **context</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.7.7.6.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpeg-pipe-close"></a><h3>gst_ffmpeg_pipe_close ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpeg_pipe_close (<em class="parameter"><code><span class="type">AVIOContext</span> *h</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.7.7.7.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegdata-open"></a><h3>gst_ffmpegdata_open ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpegdata_open (<em class="parameter"><code><a href="http://gstreamer.freedesktop.org/data/doc/gstreamer/head/gstreamer/html/GstPad.html"><span class="type">GstPad</span></a> *pad</code></em>,
                     <em class="parameter"><code><span class="type">int</span> flags</code></em>,
                     <em class="parameter"><code><span class="type">AVIOContext</span> **context</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.7.7.8.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gst-ffmpegdata-close"></a><h3>gst_ffmpegdata_close ()</h3>
<pre class="programlisting"><span class="returnvalue">int</span>
gst_ffmpegdata_close (<em class="parameter"><code><span class="type">AVIOContext</span> *h</code></em>);</pre>
<p>
</p>
<div class="refsect3">
<a name="id-1.2.7.7.9.5"></a><h4>Returns</h4>
<p></p>
</div>
</div>
</div>
<div class="refsect1">
<a name="gst-libav-plugins-gstavprotocol.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GstFFMpegPipe"></a><h3>struct GstFFMpegPipe</h3>
<pre class="programlisting">struct GstFFMpegPipe {
  /* lock for syncing */
  GMutex tlock;
  /* with TLOCK */
  /* signals counterpart thread to have a look */
  GCond cond;
  /* seen eos */
  gboolean eos;
  /* flowreturn obtained by src task */
  GstFlowReturn srcresult;
  /* adpater collecting data */
  GstAdapter *adapter;
  /* amount needed in adapter by src task */
  guint needed;
};
</pre>
<p>
</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>